<?php

// $Id: newsletter_linear.inc.php,v 1.1.1.1 2008/11/06 10:53:10 antonio Exp $
//-------------------------------------------------------------------------


require_once PRISCILLA_LOCAL_PATH."modules/newsletter/lang/". LANG ."/newsletter.diz";

/**
 ** tag: newsletteriscrizione
 ** desc: stampa il form di registrazione alla newsletter
 ** opt: id obbligatorio, id della newsletter
 ** eg: stampa il form di iscrizione della newsletter avente id 1
 ** eg: {newsletteriscrizione id="1"}
 **/
function newsletteriscrizione ($connh, $row, &$PRISCILLA_SESSION, $options) {

    // assicuriamo un default
    $nllang = LANG;
    if (!isset($nllang) || trim($nllang) == 'LANG')
    $nllang = 'ita';

    $id_newsletter = $options['id'];
    require_once "./modules/newsletter/lang/$nllang/newsletter.diz";

    $have_template = false;
    $template_button_label = '';

    // vediamo se esiste un buon template per questa newsletter
    $dbquery = "SELECT template FROM newsletter_mailgroup WHERE gid = '$id_newsletter'";
    $rowrs = $connh->Execute($dbquery) or die("ERROR:$dbquery<br />".$connh->ErrorMsg());
    
    if ($rowrs->RecordCount() == 1) {
        $button_init = "{button";
        $template = $rowrs->fields('template');
        if (trim($template) != '') {

        preg_match_all("/\{\w+(\s*=\s*\"(\w+)\")*\}/iU", $template, $regs);

        if (is_array($regs[0]) && count($regs[0]) == 3) {
            $conta = -1;
            $have_template = true;
            foreach ($regs[0] as $ctag) { 
            $conta++;
            if (substr($ctag, 0, strlen($button_init)) == $button_init) {
                $template = str_replace($ctag, "{button}", $template);
                if (trim($regs[2][$conta]) != '')
                $template_button_label = $regs[2][$conta];
            }
            }
        }
        }
    }
    else return "";

    if (trim($template_button_label) != '')
        $s_button_label = $template_button_label;
    else
        $s_button_label = NEWSLETTER_BUTTON_SUBSCRIPTION;   

    $s_email = "<input class=\"newsletter_input\" maxlength=\"45\" type=\"text\" name=\"nlsub[email]\" id=\"nlsubEmail\" value=\"" . "" . "\" />";
    $s_button = "<input class=\"newsletter_button\" type=\"submit\" name=\"bNlSubmit\" id=\"bNlSubmit\" value=\"$s_button_label\" />";


    $subst = "<form id=\"fnlsubscript\" method=\"post\" action=\"./modules/newsletter/lib/nlsubscribe.php\">\n";


    if (trim($_GET['newsletter_sub_message']) != '') {

        $d_sub_message = str_replace("!", "=", $_GET['newsletter_sub_message']);
        $d_sub_message = str_replace("|", "+", $d_sub_message);
        $d_sub_message = base64_decode($d_sub_message);
        $d_sub_message = bzdecompress($d_sub_message);

    }
    else $d_sub_message = "";




    if (!$have_template) {

        $subst .=
        "<div class=\"newsletter_td\">" . NEWSLETTER_EMAIL . "&nbsp;$s_email</div>\n" .
        "<div class=\"newsletter_td\">$s_button</div>\n";

        if ($d_sub_message != '') {
                $out_form_message =
                    "<div style=\"clear:left\">&nbsp;</div><div class=\"newsletter_msg\">" .
                    $d_sub_message .
                    "</div>";
        }
        else $out_form_message = '';    

    }
    else {
        // si ha un template
        $template = str_replace("{email}", $s_email, $template);
        $template = str_replace("{button}", $s_button, $template);

            if ($d_sub_message != '')
                $s_message = $d_sub_message;
            else
                $s_message = '';

        if (strpos($template, "{message}") !== false) {

            $template = str_replace("{message}", $s_message, $template);
            $subst .= $template;
        }
        else $out_form_message = "<div class=\"newsletter_msg\">" . $s_message . "</div>";
 
    }

    $subst .= "<p><input type=\"hidden\" name=\"nlsub[newsletterid]\" id=\"nlsubNewsletterid\" value=\"$id_newsletter\" />\n" .
        "<input type=\"hidden\" name=\"newsletter_page_id\" id=\"newsletter_page_id\" value=\"$row[id]\" /></p>\n" .
        "</form>$out_form_message\n";


return $subst;
}

/**
 ** tag: newsletterunsubmsg
 ** desc: stampa placeholder per il messaggio con indicazioni per l'eliminazione della sottoscrizione dalla newsletter;
 ** desc: il placeholder viene sostituito in fase di spedizione:
 ** desc: il link per eliminare la sottoscrizione dipende infatti dall'indirizzo di quest'ultimo
 ** opt: nessuno
 ** eg: stampa il placeholder per eliminare la sottoiscrizione
 ** eg: {newsletterunsubmsg}
 **/
function newsletterunsubmsg ($connh, $row, &$PRISCILLA_SESSION, $options) {


return "[" . "newsletterunsubmsg" . "]";
}



?>
