<?
// $Id: search_loop.inc.php,v 1.2 2009/04/03 13:07:57 antonio Exp $

$lang = 'eng';

require_once PRISCILLA_LOCAL_PATH."modules/search/lang/$lang/search.diz";

//----------------------------------------------------------------------
 // RISULTATI RICERCA
//----------------------------------------------------------------------

function risultatiricerca (&$connh, $content, $risoluzione, &$PRISCILLA_SESSION, $tagparam, &$publisher, $blocco)
{

    if (isset($PRISCILLA_SESSION) && $PRISCILLA_SESSION->exists('priscilla_search_res')) {

        $priscilla_search_res = $PRISCILLA_SESSION->getvalue('priscilla_search_res');
        $priscilla_search_id = $PRISCILLA_SESSION->getvalue('priscilla_search_id');


        if (!is_array($priscilla_search_id) || count($priscilla_search_id) < 1) {
            // traduciamo questo unico messaggio
            $priscilla_search_res = array('string' => err_finder_resultsno);
            $publisher->publish($blocco, $risoluzione, $priscilla_search_res);
        }
        else
        {
            // adesso tutte le info di cui abbiamo bisogno sono in $priscilla_search_res = array (text, id, sez)
            for ($i = 0; $i < count($priscilla_search_res); $i++)
            {
                $rowR['id_sez']   = $priscilla_search_res[$i][1]; // sez id
                $rowR['sez']      = $priscilla_search_res[$i][2]; // sez title
                $rowR['string']   = $priscilla_search_res[$i][0]; // search summary

                if ($tagparam[$tagstring1]['noparse'] == 'y')
                    $rowR['string'] = htmlentities($rowR['string'], ENT_COMPAT, PRISCILLA_CHARSET);

                // si impedisce di risolvere i tag
                $rowR['string'] = str_replace("{", "{ ", $rowR['string']);
                $rowR['string'] = str_replace("}", " }", $rowR['string']);
                //$rowR['string'] = str_replace("<%", "< %", $rowR['string']);
                //$rowR['string'] = str_replace("%>", "% >", $rowR['string']);

                $publisher->publish($blocco, $risoluzione, $rowR);


            } // for
        }

        $PRISCILLA_SESSION->remove('priscilla_search_res');
        $PRISCILLA_SESSION->remove('priscilla_search_id');
        $PRISCILLA_SESSION->remove('priscilla_search_sez');
        $PRISCILLA_SESSION->remove('priscilla_search_params');

        unset($priscilla_search_res);
        unset($priscilla_search_id);

    }
}

?>
