<?php

/**
 ** tag: makecaptcha
 ** desc: genera un codice alpha numerico che mette in sessione e ritorna un campo input e l'immagine captcha da ricopiare
 ** opt: count numero di caratteri del codice generato (default 3)
 ** eg: {makecaptcha}
 **/
function makecaptcha ($connh, $row, $PRISCILLA_SESSION, $options)
{
    require_once PRISCILLA_LOCAL_PATH."modules/security/lib/login_captcha.php";

    if (!$options['count'])
        $options['count'] = 3;

    $PRISCILLA_SESSION->add('priscilla_img_code', randuid($options['count']));

    return "<input type=\"text\" maxlength=\"".$options['count']."\" name=\"captcha_text\" class=\"security-captcha-input\" /> <img src=\"".PRISCILLA_SERVER_PATH."modules/security/lib/mkimgstamp.php\" class=\"security-captcha-image\" title=\"Copia il testo che leggi nell'immagine\" alt=\"Immagine captcha\" />";
}


